%global packname  viridis
%global rlibdir  %{_datadir}/R/library


Name:             R-%{packname}
Version:          0.3.4
Release:          1%{?dist}.66
Summary:          Default Color Maps from 'matplotlib'

Group:            Applications/Engineering 
License:          MIT + file LICENSE
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-stats R-grDevices R-ggplot2 R-gridExtra
# Suggests:  R-hexbin R-scales R-MASS R-knitr R-dichromat R-colorspace R-rasterVis R-httr R-mapproj
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-stats R-grDevices R-ggplot2 R-gridExtra 
Requires:         R-hexbin R-scales R-MASS R-knitr R-dichromat R-colorspace R-rasterVis R-httr R-mapproj 
BuildRequires:    R-devel tex(latex) 
BuildRequires:    R-stats R-grDevices R-ggplot2 R-gridExtra 
BuildRequires:   R-hexbin R-scales R-MASS R-knitr R-dichromat R-colorspace R-rasterVis R-httr R-mapproj 

%description
Port of the new 'matplotlib' color maps ('viridis' - the default -,
'magma', 'plasma' and 'inferno') to 'R'. 'matplotlib'
<http://matplotlib.org/ > is a popular plotting library for 'python'.
These color maps are designed in such a way that they will analytically be
perfectly perceptually-uniform, both in regular form and also when
converted to black-and-white. They are also designed to be perceived by
readers with the most common form of color blindness.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/help


%changelog
* Tue Jan 24 2017 Oleg Girko <ol@infoserver.lv> 0.3.4-1
- Initial package for Fedora
